Subject: Re: [net-next PATCH] net: sfp: add quirk for Fiberstone GPON-ONU-34-20BI

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 27 Sep 2023 11:06:57 +0100

On Wed, Sep 27, 2023 at 11:55:32AM +0200, Christian Marangi wrote:
> On Wed, Sep 27, 2023 at 10:51:17AM +0100, Russell King (Oracle) wrote:
> > On Thu, Sep 21, 2023 at 04:40:45PM +0200, Paolo Abeni wrote:
> > > Hi Russel,
> > > 
> > > On Tue, 2023-09-19 at 14:40 +0100, Russell King (Oracle) wrote:
> > > > On Tue, Sep 19, 2023 at 02:47:20PM +0200, Christian Marangi wrote:
> > > > > Fiberstone GPON-ONU-34-20B can operate at 2500base-X, but report 1.2GBd
> > > > > NRZ in their EEPROM.
> > > > > 
> > > > > The module also require the ignore tx fault fixup similar to Huawei MA5671A
> > > > > as it gets disabled on error messages with serial redirection enabled.
> > > > 
> > > > I'll send you shortly a different approach for the "ignore tx fault"
> > > > thing that I'd like you to test please.
> > > 
> > > Said patch is not blocking this one, am I correct?
> > 
> > Correct, but Christian has not responded in any way despite me sending
> > him the patch that I'd like tested, which is very disappointing.
> >
> 
> I'm with you with the disappointment... I was helping a guy adding
> support for this upstream and then magically disappeared... Tried to
> send private email asking to test your followup patch but still no
> response... Sorry for not answering your email, was hoping to have a
> response and just give you a positive feedback but I think this won't
> come...

In my experience, unfortunately, this is what happens in circumstances
like this. There are some cases where it doesn't happen but inevitably
when it's someone who's popped up with a problem, that's all they care
about. After a while one gets jaded over it.

Thanks for trying anyway.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!